<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>Doc (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/doc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Doc</div>
<a href="../source/classes/doc.php.html#line28" class="location">classes/doc.php at line 28</a>

<h1>Class Doc</h1>

<pre class="tree"><strong>Doc</strong><br /></pre>

<hr>

<p class="signature">public abstract  class <strong>Doc</strong></p>

<div class="comment" id="overview_description"><p>Abstract base class of all Doc classes. Doc item's are representations of
PHP language constructs (class, package, method,...) which have comments
and have been processed by this run of PHPDoctor.</p></div>

<hr>

<table id="summary_field">
<tr><th colspan="2">Field Summary</th></tr>
<tr>
<td class="type"> int</td>
<td class="description"><p class="name"><a href="#inBody">$inBody</a></p><p class="description">Whether parsing is inside this elements curly braces.</p></td>
</tr>
</table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#getHTMLContents()">getHTMLContents</a>(str filename)</p><p class="description">Get body of a HTML document</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#getRawCommentText()">getRawCommentText</a>()</p><p class="description">Return the full unprocessed text of the comment.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isClass()">isClass</a>()</p><p class="description">Is this construct a class. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isConstructor()">isConstructor</a>()</p><p class="description">Is this construct a constructor. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isException()">isException</a>()</p><p class="description">Is this construct an exception. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isField()">isField</a>()</p><p class="description">Is this construct a field. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isFinal()">isFinal</a>()</p><p class="description">Is this construct final. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isFunction()">isFunction</a>()</p><p class="description">Is this construct a function. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isGlobal()">isGlobal</a>()</p><p class="description">Is this construct a global variable. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isInterface()">isInterface</a>()</p><p class="description">Is this construct an interface. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isMethod()">isMethod</a>()</p><p class="description">Is this construct a method. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#isOrdinaryClass()">isOrdinaryClass</a>()</p><p class="description">Is this construct an ordinary class (not an interface or an exception).
</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#mergeData()">mergeData</a>()</p><p class="description">Merge the contents of the doc comment into the element object.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#name()">name</a>()</p><p class="description">Return the name of this doc item.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#set()">set</a>(str member, mixed value)</p><p class="description">Setter method.</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#setByRef()">setByRef</a>(str member, mixed value)</p><p class="description">Setter by reference method.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#setTag()">setTag</a>(str tagName, <a href="../phpdoctor/tags/tag.html">Tag</a> tag)</p><p class="description">Set a tag.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/tags/tag.html">Tag[]</a></td>
<td class="description"><p class="name"><a href="#tags()">tags</a>(str tagName)</p><p class="description">Return tags of the specified kind in this Doc item. </p></td>
</tr>
</table>

<h2 id="detail_field">Field Detail</h2>
<a href="../source/classes/doc.php.html#line62" class="location">classes/doc.php at line 62</a>

<h3 id="inBody">inBody</h3>
<code class="signature">public  int <strong>$inBody</strong> = 0</code>
<div class="details">
<p>Whether parsing is inside this elements curly braces.</p></div>

<hr>

<h2 id="detail_method">Method Detail</h2>
<a href="../source/classes/doc.php.html#line337" class="location">classes/doc.php at line 337</a>

<h3 id="getHTMLContents()">getHTMLContents</h3>
<code class="signature">public  str <strong>getHTMLContents</strong>(str filename)</code>
<div class="details">
<p>Get body of a HTML document</p></div>

<hr>

<a href="../source/classes/doc.php.html#line155" class="location">classes/doc.php at line 155</a>

<h3 id="getRawCommentText()">getRawCommentText</h3>
<code class="signature">public  str <strong>getRawCommentText</strong>()</code>
<div class="details">
<p>Return the full unprocessed text of the comment.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line165" class="location">classes/doc.php at line 165</a>

<h3 id="isClass()">isClass</h3>
<code class="signature">public  bool <strong>isClass</strong>()</code>
<div class="details">
<p>Is this construct a class. Note: interfaces are not classes. False until
overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line174" class="location">classes/doc.php at line 174</a>

<h3 id="isConstructor()">isConstructor</h3>
<code class="signature">public  bool <strong>isConstructor</strong>()</code>
<div class="details">
<p>Is this construct a constructor. False until overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line183" class="location">classes/doc.php at line 183</a>

<h3 id="isException()">isException</h3>
<code class="signature">public  bool <strong>isException</strong>()</code>
<div class="details">
<p>Is this construct an exception. False until overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line210" class="location">classes/doc.php at line 210</a>

<h3 id="isField()">isField</h3>
<code class="signature">public  bool <strong>isField</strong>()</code>
<div class="details">
<p>Is this construct a field. False until overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line201" class="location">classes/doc.php at line 201</a>

<h3 id="isFinal()">isFinal</h3>
<code class="signature">public  bool <strong>isFinal</strong>()</code>
<div class="details">
<p>Is this construct final. False until overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line219" class="location">classes/doc.php at line 219</a>

<h3 id="isFunction()">isFunction</h3>
<code class="signature">public  bool <strong>isFunction</strong>()</code>
<div class="details">
<p>Is this construct a function. False until overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line192" class="location">classes/doc.php at line 192</a>

<h3 id="isGlobal()">isGlobal</h3>
<code class="signature">public  bool <strong>isGlobal</strong>()</code>
<div class="details">
<p>Is this construct a global variable. False until overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line228" class="location">classes/doc.php at line 228</a>

<h3 id="isInterface()">isInterface</h3>
<code class="signature">public  bool <strong>isInterface</strong>()</code>
<div class="details">
<p>Is this construct an interface. False until overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line237" class="location">classes/doc.php at line 237</a>

<h3 id="isMethod()">isMethod</h3>
<code class="signature">public  bool <strong>isMethod</strong>()</code>
<div class="details">
<p>Is this construct a method. False until overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line247" class="location">classes/doc.php at line 247</a>

<h3 id="isOrdinaryClass()">isOrdinaryClass</h3>
<code class="signature">public  bool <strong>isOrdinaryClass</strong>()</code>
<div class="details">
<p>Is this construct an ordinary class (not an interface or an exception).
False until overridden.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line253" class="location">classes/doc.php at line 253</a>

<h3 id="mergeData()">mergeData</h3>
<code class="signature">public  void <strong>mergeData</strong>()</code>
<div class="details">
<p>Merge the contents of the doc comment into the element object.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line116" class="location">classes/doc.php at line 116</a>

<h3 id="name()">name</h3>
<code class="signature">public  str <strong>name</strong>()</code>
<div class="details">
<p>Return the name of this doc item.</p></div>

<hr>

<a href="../source/classes/doc.php.html#line76" class="location">classes/doc.php at line 76</a>

<h3 id="set()">set</h3>
<code class="signature">public  bool <strong>set</strong>(str member, mixed value)</code>
<div class="details">
<p>Setter method.</p><dl>
<dt>Parameters:</dt>
<dd>member - Name of the member to set</dd>
<dd>value - The value to set member to</dd>
</dl>
</div>

<hr>

<a href="../source/classes/doc.php.html#line97" class="location">classes/doc.php at line 97</a>

<h3 id="setByRef()">setByRef</h3>
<code class="signature">public  bool <strong>setByRef</strong>(str member, mixed value)</code>
<div class="details">
<p>Setter by reference method.</p><dl>
<dt>Parameters:</dt>
<dd>member - Name of the member to set</dd>
<dd>value - The value to set member to</dd>
</dl>
</div>

<hr>

<a href="../source/classes/doc.php.html#line146" class="location">classes/doc.php at line 146</a>

<h3 id="setTag()">setTag</h3>
<code class="signature">public  void <strong>setTag</strong>(str tagName, <a href="../phpdoctor/tags/tag.html">Tag</a> tag)</code>
<div class="details">
<p>Set a tag.</p><dl>
<dt>Parameters:</dt>
<dd>tagName - Name of the tag kind to search for</dd>
<dd>tag - The tag to set</dd>
</dl>
</div>

<hr>

<a href="../source/classes/doc.php.html#line130" class="location">classes/doc.php at line 130</a>

<h3 id="tags()">tags</h3>
<code class="signature">public  <a href="../phpdoctor/tags/tag.html">Tag[]</a> <strong>tags</strong>(str tagName)</code>
<div class="details">
<p>Return tags of the specified kind in this Doc item. For example, if
'tagName' has value "@serial", all tags in this Doc item of type "@serial"
will be returned. If NULL is given for 'tagName', all tags in this Doc
item are returned.</p><dl>
<dt>Parameters:</dt>
<dd>tagName - Name of the tag kind to search for</dd>
<dt>Returns:</dt>
<dd>An array of Tag containing all tags of name 'tagname' or a singular tag object if only one exists for the given 'tagname'</dd>
</dl>
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/doc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>